


<div class="row">
    <app-title class="col-md-12" [title]="'Recapitulatif des commandes'"></app-title>

  <div class="col-md-12 mx-auto">
<app-nav-filter [navInput]="semaine" (selectFilter)="setFilter($event)"></app-nav-filter>

    <table *ngIf="orders" mdbTable class="text-center z-depth-1 ">
      <thead>
        <tr class="text-center bg-grey text-white">
          <th>id</th>
          <th>Jour</th>
          <th>Plat</th>
          <th>Formule</th>
          <th>Par</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody class="text-center">
        <tr *ngFor="let order of orders; let i = index" scope="col">
          <td scope="row">{{order.id}}</td>
          <td scope="row">{{order.jour.name}} {{order.date | date:'shortDate'}}</td>
          <td scope="row">{{order.plat.name}}</td>
          <td *ngIf="order.formule == 1; else elseBlock" scope="row">Plat Seul</td>
          <ng-template #elseBlock><td scope="row">Formule midi</td></ng-template>
          <td class="">{{order.user.firstName}}</td>
          <td class="" colspan="2">
            <button class="btn btn-sm btn-grey" (click)="validateOrder(order, i)"><mdb-icon fas icon="check"></mdb-icon></button>
            <button class="btn btn-sm btn-grey" (click)="deleteOrder(order.id, i)"><mdb-icon fas icon="times"></mdb-icon></button>
          </td>
        </tr>
      </tbody>
    </table>

  </div>
</div>
